WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Better File Editor

Adds line numbers, syntax highlighting, code folding, and lots more to the theme and plugin editors in the admin panel.

Adds line numbers, syntax highlighting, code folding, and lots more to the theme and plugin editors in the admin panel.

This plugin replaces the boring, clunky, and difficult to use theme and plugin editor with a full-featured code editor using the Ajax.org Cloud9 Editor.

Requirements:

  • Javascript Enabled (will use default editor if disabled)
  • Browsers: Internet Explorer 9+, Chrome 21+, Firefox 10+, Safari 6.0+

Included Themes:

  • Ambiance
  • Chaos
  • Chrome
  • Clouds
  • Clouds Midnight
  • Cobalt
  • Crimson Editor
  • Dawn
  • Dreamweaver
  • Eclipse
  • GitHub
  • idleFingers
  • KatzenMilch
  • krTheme
  • Kuroir
  • Merbivore
  • Merbivore Soft
  • Mono Industrial
  • Monokai
  • Pastel on Dark
  • Solarized Dark
  • Solarized Light
  • Terminal
  • TextMate
  • Tomorrow
  • Tomorrow Night
  • Tomorrow Night Blue
  • Tomorrow Night Bright
  • Tomorrow Night 80s
  • Twilight
  • Vibrant Ink
  • Xcode

Supported Languages:

  • ABAP
  • ADA
  • ActionScript
  • AppleScript
  • AsciiDoc
  • Assembly_x86
  • AutoHotKey
  • BatchFile
  • C9Search
  • C/C++
  • Clojure
  • Cobol
  • CoffeeScript
  • ColdFusion
  • C#
  • CSS
  • Curly
  • D
  • Dart
  • Diff
  • Dot
  • Erlang
  • EJS
  • Forth
  • FreeMarker
  • Gherkin
  • gitignore
  • Glsl
  • Go
  • Groovy
  • HAML
  • Handlebars
  • Haskell
  • haXe
  • HTML
  • HTML (Ruby)
  • Ini
  • Jade
  • Java
  • JavaScript
  • JSON
  • JSONiq
  • JSP
  • JSX
  • Julia
  • LaTeX
  • LESS
  • Liquid
  • Lisp
  • LiveScript
  • LogiQL
  • LSL
  • Lua
  • LuaPage
  • Lucene
  • Makefile
  • MATLAB
  • Markdown
  • MySQL
  • MUSHCode
  • Nix
  • Objective-C
  • OCaml
  • Pascal
  • Perl
  • pgSQL
  • PHP
  • Powershell
  • Prolog
  • Properties
  • Protobuf
  • Python
  • R
  • RDoc
  • RHTML
  • Ruby
  • Rust
  • SASS
  • SCAD
  • Scala
  • Scheme
  • SCSS
  • SH
  • Smarty
  • snippets
  • Soy
  • SQL
  • Stylus
  • SVG
  • Tcl
  • Tex
  • Text
  • Textile
  • Toml
  • Twig
  • Typescript
  • Vala
  • VBScript
  • Velocity
  • XML
  • XQuery
  • YAML

Requires: 3.6 or higher
Compatible up to: 4.0.1
Last Updated: 2015-1-17
Active Installs: 5,000+

Ratings

4.7 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1 100,1,1
0,1,0
0,1,0
100,1,1
100,3,3
100,1,1
100,1,1
100,1,1
100,1,1
100,3,3
100,2,2
100,1,1
0,1,0
100,1,1